<template>
  <div style="pointer-events: initial">
    <h1>Redirecting you to the app {{ url }}</h1>
    <button @click="open">Try Again</button>
  </div>
</template>
<script>
export default {
  mounted() {
    console.log("ROUTE: ", this.$route);
    this.open();
  },
  methods: {
    open() {
      window.open(this.url);
    },
  },
  computed: {
    url() {
      return `orienteer:/${this.$route.params.pathMatch}?token=${this.authToken}`;
    },
  },
  asyncData({ req }) {
    if (process.server) {
      return {
        authToken: req.authToken,
      };
    } else {
      document.location.reload();
    }
  },
};
</script>
